uniform lowp sampler2D   u_tex0;
uniform lowp float u_shine;
varying mediump vec2 v_texture;
varying lowp vec4	v_col;
void main()
	{
	lowp vec4 colA = (texture2D(u_tex0, v_texture) * v_col.a);
	lowp vec3 colB = vec3(colA.a * 0.75, colA.a, colA.a * 0.75);
	gl_FragColor = vec4(mix(colA.rgb, colB, u_shine), colA.a);
	}
