#ifdef GL_ES
precision mediump float;
#endif
uniform lowp sampler2D   u_tex0; // Tile Data
uniform lowp sampler2D   u_tex1; // Ground Pattern
uniform lowp sampler2D   u_tex2; // Tile Mask
uniform lowp sampler2D   u_tex3; // Tile Mask
varying mediump vec4     v_texture;
varying lowp vec4	v_col;
void main()
	{
	lowp vec4 colTile = texture2D(u_tex0, v_texture.xy);
	lowp vec4 colMask = texture2D(u_tex2, v_texture.xy);
	lowp vec3 colA = mix(colTile.rgb, texture2D(u_tex1, v_texture.zw).rgb, colMask.r);
	lowp vec3 colB = mix(colA, texture2D(u_tex3, v_texture.zw).rgb, colMask.g);
	gl_FragColor = vec4(colB, colTile.a) * v_col;
	}
